import { Icon } from '@/shared/Icon';

export interface BioEntitiesSubmapItemProps {
  mapName: string;
  numberOfEntities: string | number;
}

export const BioEntitiesSubmapItem = ({
  mapName,
  numberOfEntities,
}: BioEntitiesSubmapItemProps): JSX.Element => (
  <div className="flex flex-row flex-nowrap justify-between pl-6 [&:not(:last-of-type)]:pb-4">
    <p>
      {mapName} ({numberOfEntities})
    </p>
    <Icon name="arrow" className="h-6 w-6 fill-font-500" />
  </div>
);
