import { PinItem } from './PinsList.types';
import { PinsListItem } from './PinsListItem';

interface PinsListProps {
  pinsList: PinItem[];
}

export const PinsList = ({ pinsList }: PinsListProps): JSX.Element => (
  <ul className="px-6 py-2">
    {pinsList.map(pin => (
      <PinsListItem key={pin.name} name={pin.name} />
    ))}
  </ul>
);
