import { DrawerHeadingBackwardButton } from '@/shared/DrawerHeadingBackwardButton';
import { PinsList } from './PinsList';

const PINS_LIST = [
  { name: 'Glyceraldehyde-3-phosphate dehydrogenase' },
  { name: 'D-3-phosphoglycerate dehydrogenase' },
  { name: 'Glutathione reductase, mitochondrial' },
  { name: 'NADH dehydrogenase [ubiquinone] iron-sulfur protein 8, mitochondrial' },
];

export const Results = (): JSX.Element => {
  const drugName = 'Aspirin';

  const navigateToGroupedSearchResults = (): void => {};

  return (
    <div>
      <DrawerHeadingBackwardButton
        title="Drugs"
        value={drugName}
        backwardFunction={navigateToGroupedSearchResults}
      />
      <PinsList pinsList={PINS_LIST} />
    </div>
  );
};
