import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { ProjectState } from '@/redux/project/project.types';
import { getProjectById } from '@/redux/project/project.thunks';

export const getProjectByIdReducer = (builder: ActionReducerMapBuilder<ProjectState>): void => {
  builder.addCase(getProjectById.fulfilled, (state, action) => {
    state.data = action.payload;
    state.loading = 'succeeded';
  });
};
