import { ZOD_SEED } from '@/constants';
import { bioEntityContentSchema } from '@/models/bioEntityContentSchema';
import { z } from 'zod';
// eslint-disable-next-line import/no-extraneous-dependencies
import { createFixture } from 'zod-fixture';

export const bioEntityContentsFixture = createFixture(z.array(bioEntityContentSchema), {
  seed: ZOD_SEED,
  array: { min: 2, max: 2 },
});
