// eslint-disable-next-line import/no-extraneous-dependencies
import { createFixture } from 'zod-fixture';
import { z } from 'zod';
import { ZOD_SEED } from '@/constants';
import { modelSchema } from '@/models/modelSchema';

export const modelsFixture = createFixture(z.array(modelSchema), {
  seed: ZOD_SEED,
  array: { min: 2, max: 2 },
});
