import { PROJECT_ID } from '@/constants';

export const apiPath = {
  getBioEntityContentsStringWithQuery: (searchQuery: string): string =>
    `projects/${PROJECT_ID}/models/*/bioEntities:search?query=${searchQuery}`,
  getDrugsStringWithQuery: (searchQuery: string): string =>
    `projects/${PROJECT_ID}/drugs:search?query=${searchQuery}`,
  getMirnasStringWithQuery: (searchQuery: string): string =>
    `projects/${PROJECT_ID}/miRnas:search?query=${searchQuery}`,
  getModelsString: (): string => `projects/${PROJECT_ID}/models/`,
  getChemicalsStringWithQuery: (searchQuery: string): string =>
    `projects/${PROJECT_ID}/chemicals:search?query=${searchQuery}`,
};
