import { createSlice } from '@reduxjs/toolkit';
import { BioEntityContentsState } from '@/redux/bioEntityContents/bioEntityContents.types';
import { getBioEntityContentsReducer } from './bioEntityContents.reducers';

const initialState: BioEntityContentsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const bioEntityContentsSlice = createSlice({
  name: 'bioEntityContents',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getBioEntityContentsReducer(builder);
  },
});

export default bioEntityContentsSlice.reducer;
